Package org.lwjgl.opengl

# Class AMDVertexShaderTessellator

java.lang.Object
org.lwjgl.opengl.AMDVertexShaderTessellator

public final class AMDVertexShaderTessellator extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CONTINUOUS_AMD`
Accepted by TessellationModeAMD
`static final int`
`GL_DISCRETE_AMD`
Accepted by TessellationModeAMD
`static final int`
`GL_INT_SAMPLER_BUFFER_AMD`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_SAMPLER_BUFFER_AMD`
Returned by the <type> parameter of GetActiveUniform:
`static final int`
`GL_TESSELLATION_FACTOR_AMD`
Accepted by GetFloatv
`static final int`
`GL_TESSELLATION_MODE_AMD`
Accepted by GetIntegerv
`static final int`
`GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD`
Returned by the <type> parameter of GetActiveUniform:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glTessellationFactorAMD(float factor)`
`static void`
`glTessellationModeAMD(int mode)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SAMPLER_BUFFER_AMD

public static final int GL_SAMPLER_BUFFER_AMD
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_INT_SAMPLER_BUFFER_AMD

public static final int GL_INT_SAMPLER_BUFFER_AMD
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD

public static final int GL_UNSIGNED_INT_SAMPLER_BUFFER_AMD
Returned by the <type> parameter of GetActiveUniform:

See Also:
  - Constant Field Values

### GL_DISCRETE_AMD

public static final int GL_DISCRETE_AMD
Accepted by TessellationModeAMD

See Also:
  - Constant Field Values

### GL_CONTINUOUS_AMD

public static final int GL_CONTINUOUS_AMD
Accepted by TessellationModeAMD

See Also:
  - Constant Field Values

### GL_TESSELLATION_MODE_AMD

public static final int GL_TESSELLATION_MODE_AMD
Accepted by GetIntegerv

See Also:
  - Constant Field Values

### GL_TESSELLATION_FACTOR_AMD

public static final int GL_TESSELLATION_FACTOR_AMD
Accepted by GetFloatv

See Also:
  - Constant Field Values

## Method Details

### glTessellationFactorAMD

public static void glTessellationFactorAMD(float factor)

### glTessellationModeAMD

public static void glTessellationModeAMD(int mode)